RagTime5ClusterManagerInternal::StyleCParser Struct Reference documentation

RagTime5ClusterManagerInternal::StyleCParser Struct Referencefinal

low level: parser of style cluster : zone 480 More...

Inheritance diagram for RagTime5ClusterManagerInternal::StyleCParser:

## Public Member Functions
| StyleCParser (RagTime5ClusterManager &parser, int type)
| constructor
| ~StyleCParser () final
| destructor
std::shared_ptr< RagTime5ClusterManager::Cluster > | getCluster () final
| return the current cluster
bool | parseZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f) final
| try to parse a zone
bool | parseField (RagTime5StructManager::Field const &field, int, libmwaw::DebugStream &f) final
| parse a field
void | endZone () final
| end of a start zone call
Public Member Functions inherited from RagTime5ClusterManager::ClusterParser
| ClusterParser (RagTime5ClusterManager &parser, int type, std::string const &zoneName)
| constructor
virtual | ~ClusterParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n, int m=-1) const
| return the debug name corresponding to a cluster
virtual void | startZone ()
| start a new zone
virtual int | getNewZoneToParse ()
| returns to new zone to parse.
bool | isANameHeader (long N) const
| return true if N correspond to a file/script name
bool | readLinkHeader (MWAWInputStreamPtr &input, long fSz, Link &link, long(&values)[4], std::string &message)
| try to read a link header
std::string | getClusterDebugName (int id)
| returns "data"+id+"A" ( followed by the cluster type and name if know)

## Protected Attributes
std::shared_ptr< RagTime5ClusterManager::Cluster > | m_cluster
| the current cluster
std::string | m_fieldName
| the actual field name

## Additional Inherited Members
Public Attributes inherited from RagTime5ClusterManager::ClusterParser
RagTime5ClusterManager & | m_parser
| the main parser
int | m_type
| the cluster type
bool | m_hiLoEndian
| zone endian
std::string | m_name
| the cluster name
int | m_dataId
| the actual zone id
Link | m_link
| the actual link

## Detailed Description

low level: parser of style cluster : zone 480

## Constructor & Destructor Documentation

## ◆ StyleCParser()

RagTime5ClusterManagerInternal::StyleCParser::StyleCParser | ( | RagTime5ClusterManager & | parser,
|  | int | type )
| inlineexplicit

constructor

## ◆ ~StyleCParser()

RagTime5ClusterManagerInternal::StyleCParser::~StyleCParser | ( |  | ) |
| final

destructor

Referenced by ~StyleCParser().

## Member Function Documentation

## ◆ endZone()

void RagTime5ClusterManagerInternal::StyleCParser::endZone | ( |  | ) |
| inlinefinalvirtual

end of a start zone call

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ getCluster()

std::shared_ptr< RagTime5ClusterManager::Cluster > RagTime5ClusterManagerInternal::StyleCParser::getCluster | ( |  | ) |
| inlinefinalvirtual

return the current cluster

Implements RagTime5ClusterManager::ClusterParser.

Referenced by getCluster().

## ◆ parseField()

bool RagTime5ClusterManagerInternal::StyleCParser::parseField | ( | RagTime5StructManager::Field const & | field,
|  | int | ,
|  | libmwaw::DebugStream & | f )
| inlinefinalvirtual

parse a field

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ parseZone()

bool RagTime5ClusterManagerInternal::StyleCParser::parseZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f )
| inlinefinalvirtual

try to parse a zone

Reimplemented from RagTime5ClusterManager::ClusterParser.

## Member Data Documentation

## ◆ m_cluster

std::shared_ptr<RagTime5ClusterManager::Cluster> RagTime5ClusterManagerInternal::StyleCParser::m_cluster
| protected

the current cluster

Referenced by endZone(), getCluster(), parseField(), parseZone(), and StyleCParser().

## ◆ m_fieldName

std::string RagTime5ClusterManagerInternal::StyleCParser::m_fieldName
| protected

the actual field name

Referenced by parseField(), parseZone(), and StyleCParser().

The documentation for this struct was generated from the following file:

- RagTime5ClusterManager.cxx